Skip to main content
POST
/
console
/
v1
/
experiments
/
{id}
/
metrics
/
{metricId}
/
raise
Raise Guardrail Alert For Experiment Metric
curl --request POST \
  --url https://statsigapi.net/console/v1/experiments/{id}/metrics/{metricId}/raise \
  --header 'Content-Type: application/json' \
  --header 'STATSIG-API-KEY: <api-key>' \
  --data '
{
  "comment": "Threshold breached on win rate",
  "source": "<string>"
}
'
{
  "message": "<string>",
  "data": {
    "metricId": "win_rate::event_count",
    "status": "Alert",
    "timestamp": 1718630400,
    "comment": "Threshold breached on win rate",
    "source": "<string>"
  }
}

Authorizations

STATSIG-API-KEY
string
header
required

Path Parameters

id
string
required

id

metricId
string
required

metric id

Body

application/json
comment
string

Optional comment describing why the status was marked

Example:

"Threshold breached on win rate"

source
string

Optional source identifier for the mark

Response

Metric alert raised successfully

message
string
required

A simple string explaining the result of the operation.

data
object
required

A single result.